import 'package:hmg_patient_app/pages/AlHabibMedicalService/h2o/h2o_page.dart';
import 'package:hmg_patient_app/theme/colors.dart';
import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/widgets/buttons/secondary_button.dart';
import 'package:hmg_patient_app/widgets/data_display/text.dart';
import 'package:hmg_patient_app/widgets/others/app_scaffold_widget.dart';
import 'package:hmg_patient_app/widgets/transitions/fade_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class H2OPageIndexPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        isShowAppBar: true,
        appBarTitle: TranslationBase.of(context).serviceInformation,
        body: SingleChildScrollView(
            padding: EdgeInsets.all(12),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
            children: <Widget>[
              Texts(
                "Water Tracker:",
                fontWeight: FontWeight.normal,
                fontSize: 25,
                color: Color(0xFF60686b),
              ),
              SizedBox(
                height: 12,
              ),
              Texts(
                "This service is designed to help you to set drinking water goals and track the volume of water you are drinking on a daily basis. This service allows for schedule reminders and offers a basic statistical analysis of the amount of what you have consumed over the course of a day, week or month.",
                fontWeight: FontWeight.normal,
                fontSize: 17,
              ),
              SizedBox(
                height: 22,
              ),
              Center(
                  child: Image.asset(
                      'assets/images/AlHabibMedicalService/Wifi-AR.png')),
              SizedBox(
                height: 77,
              ),
            ],
          )),
        bottomSheet: Container(
          height: MediaQuery.of(context).size.height * 0.10,
          width: double.infinity,
          child: Column(
            children: <Widget>[
              Container(
                width: MediaQuery
                    .of(context)
                    .size
                    .width * 0.9,
                child: SecondaryButton(
                    onTap: () =>
                        Navigator.push(context, FadePage(page: H2OPage())),
                    label: "Water Tracker",
                    textColor: CustomColors.white),
              ),
            ],
          ),
        ),);
  }
}
